subversion-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Branko Čibej <br...@wandisco.com>
Subject Re: Subversion 1.8.9 repository access issue [Urgent]
Date Mon, 07 Jul 2014 07:23:50 GMT
On 06.07.2014 23:54, Andreas Stieger wrote:
> On 06/07/14 21:58, Branko Čibej wrote:
>> On 06.07.2014 13:35, Andreas Stieger wrote:
>>> Your repository is of type bdb, (berkeley db backend), not fsfs. As such
>>> is it not suitable for a direct upgrade.
>> That's nonsense.
> See DB_VERSION_MISMATCH and others. Building the bdb backend might just
> uncover that.

The error in the httpd log is SVN_ERR_FS_UNKNOWN_FS_TYPE. So the part
about the BDB back-end not being built is pretty obvious.

Berkeley DB databases can always be upgraded from older BDB versions
with db_upgrade, if the BDB version on the new server is incompatible
with the one on the old server. Nothing else should really matter.

We do still support all BDB repositories. We did not deprecate the BDB
backend because it would be inherently worse than FSFS, but because we
simply do not have the resources to adequately maintain and improve two
(and soon, three) repository back-ends. That's all.


-- Brane



-- 
Branko Čibej | Director of Subversion
WANdisco // Non-Stop Data
e. brane@wandisco.com

Mime
View raw message